apiVersion: apps/v1
kind: Deployment
metadata:
  name: serviceservice
spec:
  selector:
    matchLabels:
      app: serviceservice
  template:
    metadata:
      labels:
        app: serviceservice
    spec:
      terminationGracePeriodSeconds: 5
      containers:
      - name: server
        image: registry.gitlab.com/teraflow-h2020/controller/service:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 3030
        env:
        - name: LOG_LEVEL
          value: "INFO"
        readinessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:3030"]
        livenessProbe:
          exec:
            command: ["/bin/grpc_health_probe", "-addr=:3030"]
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 700m
            memory: 1024Mi
---
apiVersion: v1
kind: Service
metadata:
  name: serviceservice
spec:
  type: ClusterIP
  selector:
    app: serviceservice
  ports:
  - name: grpc
    protocol: TCP
    port: 3030
    targetPort: 3030
